Class {
	#name : #BaselineOfGrafoscopio,
	#superclass : #BaselineOf,
	#category : #BaselineOfGrafoscopio
}

{ #category : #baselines }
BaselineOfGrafoscopio >> baseline: spec [
	<baseline>	
			
	spec
		for: #common 
		do: [ 
			
			"Dependencies"
			self grafoscopioUtils: spec.
			spec 
				package: 'Spec-Glamour' 
				with: [ spec repository: 'http://smalltalkhub.com/mc/jfabry/Playground/main/' ].
			
			"Packages"
			spec
				package: 'Grafoscopio' with: [ spec requires: #('Grafoscopio-Utils' 'Spec-Glamour') ] 
		]
]

{ #category : #'as yet unclassified' }
BaselineOfGrafoscopio >> grafoscopioUtils: spec [
	"I load the configuration of this package using a external Gitea repository."
	"While more Git independient providers are implemented in Monticello, I will use Iceberg
	to download the repository and load it from a local directory"	
			
	| location localRepo |
	"Dependencies"
	
	"Local and remote repo definition"
	location := FileLocator localDirectory / 'iceberg' / 'Offray' / 'GrafoscopioUtils'.
	location exists ifFalse: [
		(IceRepositoryCreator new 
			location: location;
			remote: (IceGitRemote url: 'https://code.tupale.co/Offray/GrafoscopioUtils.git');
			createRepository)
		register
	].
	"Package loading"
	localRepo := 'gitlocal://', location fullName.
	Metacello new
		repository: localRepo;
		baseline: 'GrafoscopioUtils';
		load.
	spec baseline: 'GrafoscopioUtils' with: [ spec repository:  localRepo ].
	spec package: 'Grafoscopio-Utils' with: [ spec repository:  localRepo ].

]
